
TYPO3.Surf - Bug # 52468

Status: Resolved Priority: Must have
Author: Felix Oertel Category:
Created: 2013-10-02 Assigned To:
Updated: 2014-11-06 Due date:
Subject: allow local 
Description

the doc say

* @param \TYPO3\Surf\Domain\Model\Node $node Node to execute command against, NULL means localhost

but the definition actually is

public function execute($command, Node $node, ...

so it's not possible to execute local commands. This makes composer fail for me, because it tries to look up the composer.json (test
-f) on the remote server instead of the local workspacePath.

Associated revisions
Revision fe5d9d6a - 2014-03-21 18:13 - Lars Malach

[TASK] $node always has to be a Node object

Change-Id: I3a8f59f37e03be709e84cbc72fc6dedfa0597dd4
Resolves: #52468

History
#1 - 2013-10-03 10:10 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24290

#2 - 2013-10-03 10:19 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24290

#3 - 2013-10-03 11:53 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24296

#4 - 2013-10-04 09:55 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24296

#5 - 2013-10-04 09:56 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24296

#6 - 2014-03-21 18:13 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 4 for branch master of project Packages/TYPO3.Surf has been pushed to the review server.
It is available at https://review.typo3.org/24296

#7 - 2014-11-06 17:22 - Lars Malach
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:fe5d9d6ad5ab7ab12192c344b4072f7216e60aa9.
